com.mapinfo.midev.style

## Class IFont.TextCase

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.style.IFont.TextCase

All Implemented Interfaces:
  Serializable, Comparable

Enclosing interface:
  IFont

    public static final class IFont.TextCase
    extends Enum

Controls whether the text is to be rendered in capital letters.

See Also:
  Serialized Form

### Field Summary

Fields
`static IFont.TextCase` `DEFAULT` The text is to be rendered in the ordinary case of letters.
`static IFont.TextCase` `LOWER` The text is to be rendered in lowercase letters.
`static IFont.TextCase` `UPPER` The text is to be rendered in capital letters.

### Method Summary

All Methods Static Methods Concrete Methods
`static IFont.TextCase` `valueOf(String name)`
`static IFont.TextCase[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final IFont.TextCase DEFAULT

The text is to be rendered in the ordinary case of letters.

#### UPPER

    public static final IFont.TextCase UPPER

The text is to be rendered in capital letters.

#### LOWER

    public static final IFont.TextCase LOWER

The text is to be rendered in lowercase letters.

### Method Detail

#### values

    public static IFont.TextCase[] values()

#### valueOf

    public static IFont.TextCase valueOf(String name)